Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ResultTypeConfig.Builder

    java.lang.Object
      com.opensymphony.xwork2.config.entities.ResultTypeConfig.Builder

Enclosing class:
  ResultTypeConfig

    public static final class ResultTypeConfig.Builder

extends Object

The builder for this object. An instance of this object is the only way to construct a new instance. The purpose is to enforce the immutability of the object. The methods are structured in a way to support chaining. After setting any values you need, call the `build()` method to create the object.

Field Summary
`protected ResultTypeConfig` | `target`

Constructor Summary
`ResultTypeConfig.Builder(ResultTypeConfig orig)`
`ResultTypeConfig.Builder(String name, String className)`

Method Summary
`ResultTypeConfig.Builder` | `addParam(String name, String value)`
`ResultTypeConfig.Builder` | `addParams(Map<String,String> params)`
`ResultTypeConfig` | `build()`
`ResultTypeConfig.Builder` | `className(String name)`
`ResultTypeConfig.Builder` | `defaultResultParam(String defaultResultParam)`
`protected void` | `embalmTarget()`
`ResultTypeConfig.Builder` | `location(Location loc)`
`ResultTypeConfig.Builder` | `name(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    protected ResultTypeConfig target

Constructor Detail

### ResultTypeConfig.Builder

    public ResultTypeConfig.Builder(String name,
                                    String className)

### ResultTypeConfig.Builder

    public ResultTypeConfig.Builder(ResultTypeConfig orig)

Method Detail

### name

    public ResultTypeConfig.Builder name(String name)

### className

    public ResultTypeConfig.Builder className(String name)

### addParam

    public ResultTypeConfig.Builder addParam(String name,
                                             String value)

### addParams

    public ResultTypeConfig.Builder addParams(Map<String,String> params)

### defaultResultParam

    public ResultTypeConfig.Builder defaultResultParam(String defaultResultParam)

### location

    public ResultTypeConfig.Builder location(Location loc)

### build

    public ResultTypeConfig build()

### embalmTarget

    protected void embalmTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.